Name:          libexiv2_27
Epoch:         1
Version:       0.27.3
Release:       3mamba
Summary:       Exif and IPTC metadata library and tools
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://exiv2.org/
Source0:       https://www.exiv2.org/builds/exiv2-%{version}-Source.tar.gz
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel
BuildRequires: gcc-c++
License:       GPL

%description
Exiv2 is a C++ library and a command line utility to access image metadata.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Exiv2 is a C++ library and a command line utility to access image metadata.
This package contains static libraries and header files needed for development.

%package -n exiv2_27
Group:         System/Tools
Summary:       A command line utility to access image metadata
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n exiv2_27
Exiv2 is a C++ library and a command line utility to access image metadata.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n exiv2-%{version}-Source
%ifarch arm aarch64 %{ix86}
sed -i "/cf-protection/d" cmake/compilerFlags.cmake
%endif

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

#% find_lang exiv2

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libexiv2.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/exiv2/
%{_includedir}/exiv2/*
%{_libdir}/libexiv2.so
%{_libdir}/pkgconfig/exiv2.pc
%dir %{_libdir}/cmake/exiv2
%{_libdir}/cmake/exiv2/exiv2*.cmake
%{_libdir}/libexiv2-xmp.a
#%doc README

%files -n exiv2_27
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/exiv2.*

%changelog
* Tue May 07 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.27.3-3mamba
- legacy package

* Mon Dec 28 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.27.3-2mamba
- rebuilt with debug package and aarch64 build fix

* Sun Aug 30 2020 Automatic Build System <autodist@mambasoft.it> 0.27.3-1mamba
- automatic version update by autodist

* Sun Aug 11 2019 Automatic Build System <autodist@mambasoft.it> 0.27.2-1mamba
- automatic version update by autodist

* Sun May 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.27.1-1mamba
- update to 0.27.1

* Sat Dec 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.26-1mamba
- update to 0.26

* Sun Dec 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.25-2mamba
- rebuilt with gcc 5.2.0

* Tue Aug 04 2015 Automatic Build System <autodist@mambasoft.it> 0.25-1mamba
- automatic version update by autodist

* Mon Jan 27 2014 Automatic Build System <autodist@mambasoft.it> 0.24-1mamba
- automatic version update by autodist

* Wed Apr 25 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.23-1mamba
- update to 0.23

* Sat Dec 31 2011 Davide Madrisan <davide.madrisan@gmail.com> 0.22-1mamba
- update to 0.22

* Thu Jul 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.21.1-1mamba
- update to 0.21.1

* Wed Jan 20 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.19-1mamba
- update to 0.19
- do not provide libexiv2_0. it's not used in openmamba
- new compatibility package libexiv2_4

* Wed Sep 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.17.1-3mamba
- epoch incremented

* Mon Sep 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.17.1-1mamba
- remove duplicated version 0 of the library in libexiv2

* Tue Aug 26 2008 Aleph0 <aleph0@openmamba.org> 0.16-1mamba
- update to 0.15

* Thu Jun 14 2007 Aleph0 <aleph0@openmamba.org> 0.14-1mamba
- package created by autospec
